//	Persistence of Vision Raytracer Version 3.5 Scene Description File
//	File: hollow3.pov
//	Author: Dieter Bayer
//	Description:
// This scene shows a hollow, checkered sphere filled with fire.
//
//*******************************************

global_settings {
  //max_trace_level 5
}

#include "colors.inc"

camera {
  location <0,0,-2.3>
  //angle 90
  right <1,0,0> up <0,1,0>
  // clock
}

background { color rgb <0,0,0> }

// light_source { <100, 100, -200> color White }
/*
/usr/share/povray-3.5/include/stars.inc

  sky_sphere {
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }
    
  }
  */
  

sphere { < 0, 0, 0>, 4
	// pigment { rgbt 1 } // surface of sphere is transparent
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.847141603402
			intervals 1
			samples 33
			method 3
			density {
				spherical
				ramp_wave
        translate (80.9367295731 + clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 0.198028297815 }
        translate -(80.9367295731 + clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <0, 0, 0>]
          [0.0321117975069 color rgb <0.962902752335,0.845299270484,0.485732554413>]
[0.339957672407 color rgb <0.713127904592,0.614411553677,0.0285712157772>]
[0.634246815606 color rgb <0.458006989071,0.439342049863,0.162817149096>]
[0.884016122404 color rgb <0.757967832396,0.745772411939,0.321901352737>]
[1.0 color rgb <0.836617263509,0.949372108678,0.120039166573>]
				}
			}
      scale 0.7
		}
	}
	//translate 25*y
	hollow
}

  /*
sphere { < 0, 0, 0>, 2
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.02
			intervals 1
			samples 25
			method 3
			density {
				spherical
				ramp_wave
        translate (clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 2.5 }
        translate -(clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <1, 0, 0>]
					[0.1 color rgb <1, 1, 0>]
					[0.5 color rgb <1, 1, 0>]
					[1.0 color rgb <1, 0, 0>]
				}
			}
			density {
				spherical
				ramp_wave
				color_map {
					[0.0 color rgb 1]
					[0.2 color rgb 1]
					[0.3 color rgb 1]
					[1.0 color rgb 1]
				}
			}
		}
	}
	scale 1
	hollow
}
*/